cURL
curl --request POST \
--url https://api.{environment}.corti.app/v2/interactions/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Tenant-Name: <tenant-name>' \
--data '
{
"encounter": {
"identifier": "<string>",
"title": "<string>"
},
"assignedUserId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
'import { CortiClient, CortiEnvironment } from "@corti/sdk";
const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
await client.interactions.create({
encounter: {
identifier: "identifier",
status: "planned",
type: "first_consultation"
}
});using Corti;
var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Interactions.CreateAsync(
new InteractionsCreateRequest
{
Encounter = new InteractionsEncounterCreateRequest
{
Identifier = "identifier",
Status = InteractionsEncounterStatusEnum.Planned,
Type = InteractionsEncounterTypeEnum.FirstConsultation,
},
}
);import requests
url = "https://api.{environment}.corti.app/v2/interactions/"
payload = {
"encounter": {
"identifier": "<string>",
"title": "<string>"
},
"assignedUserId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'encounter' => [
'identifier' => '<string>',
'title' => '<string>'
],
'assignedUserId' => 'f47ac10b-58cc-4372-a567-0e02b2c3d479'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Tenant-Name: <tenant-name>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.{environment}.corti.app/v2/interactions/"
payload := strings.NewReader("{\n \"encounter\": {\n \"identifier\": \"<string>\",\n \"title\": \"<string>\"\n },\n \"assignedUserId\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.{environment}.corti.app/v2/interactions/")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"encounter\": {\n \"identifier\": \"<string>\",\n \"title\": \"<string>\"\n },\n \"assignedUserId\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}")
.asString();{
"interactionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"websocketUrl": "<string>"
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}Interactions
Create Interaction
Creates a new interaction.
POST
/
interactions
/
cURL
Authorizations
Input your token
Headers
Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.
Example:
"base"
Body
application/json
Details about the encounter.
Show child attributes
Show child attributes
A unique identifier for the medical professional responsible for this interaction. If nulled, automatically set to a uuid.
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Optional patient details.
Show child attributes
Show child attributes
Response
Returns the newly created interaction with its assigned ID and WebSocket URL for real-time data streaming.
Was this page helpful?
⌘I